### Hierarchy

- WritableStream
  - Verify

## Index

### Properties

- writable

### Methods

- addListener
- emit
- end
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setMaxListeners
- update
- verify
- write

## Properties

### writable

writable: boolean

Inherited from WritableStream.writable

- Defined in node_modules/@types/node/globals.d.ts:613

## Methods

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  - Defined in node_modules/@types/node/globals.d.ts:579

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  - Defined in node_modules/@types/node/globals.d.ts:589

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### end

- end(cb?: undefined | function): void
- end(data: string | Uint8Array | Buffer, cb?: undefined | function): void
- end(str: string, encoding?: undefined | string, cb?: undefined | function): void

- Inherited from WritableStream.end

  - Defined in node_modules/@types/node/globals.d.ts:616

  #### Parameters

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from WritableStream.end

  - Defined in node_modules/@types/node/globals.d.ts:617

  #### Parameters

  - ##### data: string | Uint8Array | Buffer

  - ##### Optional cb: undefined | function

  #### Returns void

- Inherited from WritableStream.end

  - Defined in node_modules/@types/node/globals.d.ts:618

  #### Parameters

  - ##### str: string

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns void

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  - Defined in node_modules/@types/node/globals.d.ts:594

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:586

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/globals.d.ts:590

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  - Defined in node_modules/@types/node/globals.d.ts:587

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  - Defined in node_modules/@types/node/globals.d.ts:583

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  - Defined in node_modules/@types/node/globals.d.ts:580

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  - Defined in node_modules/@types/node/globals.d.ts:581

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  - Defined in node_modules/@types/node/globals.d.ts:592

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/globals.d.ts:593

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  - Defined in node_modules/@types/node/globals.d.ts:588

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/globals.d.ts:584

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  - Defined in node_modules/@types/node/globals.d.ts:582

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/globals.d.ts:585

  #### Parameters

  - ##### n: number

  #### Returns this

### update

- update(data: BinaryLike): Verify
- update(data: string, input_encoding: Utf8AsciiLatin1Encoding): Verify

- - Defined in node_modules/@types/node/crypto.d.ts:280

  #### Parameters

  - ##### data: BinaryLike

  #### Returns Verify

- - Defined in node_modules/@types/node/crypto.d.ts:281

  #### Parameters

  - ##### data: string

  - ##### input_encoding: Utf8AsciiLatin1Encoding

  #### Returns Verify

### verify

- verify(object: Object | KeyLike, signature: Binary): boolean
- verify(object: Object | KeyLike, signature: string, signature_format: HexBase64Latin1Encoding): boolean

- - Defined in node_modules/@types/node/crypto.d.ts:282

  #### Parameters

  - ##### object: Object | KeyLike

  - ##### signature: Binary

  #### Returns boolean

- - Defined in node_modules/@types/node/crypto.d.ts:283

  #### Parameters

  - ##### object: Object | KeyLike

  - ##### signature: string

  - ##### signature_format: HexBase64Latin1Encoding

  #### Returns boolean

### write

- write(buffer: Buffer | Uint8Array | string, cb?: undefined | function): boolean
- write(str: string, encoding?: undefined | string, cb?: undefined | function): boolean

- Inherited from WritableStream.write

  - Defined in node_modules/@types/node/globals.d.ts:614

  #### Parameters

  - ##### buffer: Buffer | Uint8Array | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

- Inherited from WritableStream.write

  - Defined in node_modules/@types/node/globals.d.ts:615

  #### Parameters

  - ##### str: string

  - ##### Optional encoding: undefined | string

  - ##### Optional cb: undefined | function

  #### Returns boolean

Generated using TypeDoc